//Anachronox DAT structures
// by John Rittenhouse
// cryect@captured.com
// 6/30/2001
struct DATHeader
{
	char ID[4];//Should be ADAT

	unsigned long FInfoPos;
	unsigned long FLength;
	unsigned long Unknown;//Version Number?  Always 9
};

//Length is 144 bytes
struct FileInfo
{
	char FileName[128];

	unsigned long StartPos;
	unsigned long Length;//Size of extracted file(decompressed size)
	
	unsigned long Compressed;//If not 0 this is the compressed size
	unsigned long Unknown;//Probably a checksum of some sort
};